---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/Scenes/01_Boat_crash_site/Anim/Z_Road_block/"
---------------------------------------------------------------------------------------
createCompositionbg = nil
createCompositionbg_over = nil
createCompositionfon = nil
createCompositionnebo_roz3 = nil
createCompositionPre_comp_1 = nil
createCompositionlopuh = nil
createCompositionclouds = nil
createCompositionKust = nil
createCompositionPIL = nil
createComposition21_ofis_manager = nil
createCompositionVOLUME_LIGHTS = nil
---------------------------------------------------------------------------------------
createCompositionbg = function()
	local compositionbg = CreateCompositionSequence()
	local compositionDuration = 8
	compositionbg:setDuration(compositionDuration)
	compositionbg:setName("compositionbg" )
	compositionbg:setBoundingBox( Rectanglef(0, 0, 640,480) )
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."PH3lok1zoom4_BG.png")
	element:setName("Layer_1")
	compositionbg:addElement(element)
	element:setHotSpot(207, 112)
	element:setParentElement(compositionbg)
	element:setXY(207, 144)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."sp_[].png")
	element:setName("Layer_2")
	compositionbg:addElement(element)
	element:setHotSpot(9, 19.5)
	element:setParentElement(compositionbg)
					local anim = element
					anim:setAnimationSize(46,26)
					anim:setFramesCount(8)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD + _ANIM_LOOP)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(2.08333333333333, 6.75)
	effector:setKey(_TRACK_X, 2.08333333333333, 395.851724060898)
	effector:setKey(_TRACK_Y, 2.08333333333333, 75.599677513789)
	effector:setKey(_TRACK_X, 2.91666666666667, 459.5)
	effector:setKey(_TRACK_Y, 2.91666666666667, 63.5)
	effector:setKey(_TRACK_X, 4.20833333333333, 557)
	effector:setKey(_TRACK_Y, 4.20833333333333, 30.5)
	effector:setKey(_TRACK_X, 4.83333333333333, 591)
	effector:setKey(_TRACK_Y, 4.83333333333333, 2.5)
	effector:setKey(_TRACK_X, 5.41666666666667, 621)
	effector:setKey(_TRACK_Y, 5.41666666666667, -33.5)
	effector:setKey(_TRACK_SX, 2.08333333333333, 0.64)
	effector:setKey(_TRACK_SY, 2.08333333333333, 0.64)
	effector:setKey(_TRACK_SX, 2.91666666666667, 1)
	effector:setKey(_TRACK_SY, 2.91666666666667, 1)
	effector:setKey(_TRACK_A, 2.91666666666667, 3.342563733865)
	effector:setKey(_TRACK_A, 4.20833333333333, 3.13370154942547)
	effector:setKey(_TRACK_A, 4.83333333333333, 2.89985527961835)
	effector:setKey(_TRACK_A, 5.41666666666667, 2.72795754851908)
	effector:play()
 
 
	-- Layer Layer_3
	element = createCompositionclouds()
	element:setName("Layer_3")
	compositionbg:addElement(element)
	element:setHotSpot(10, 184)
	element:setParentElement(compositionbg)
	element:setXY(359.5, 110.5)
 
	element:setScale(-1.17554240631164,1)
	element:setRotationRad(-0.1179544553439)
	element:setOpacity(0.85)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."up.png")
	element:setName("Layer_4")
	compositionbg:addElement(element)
	element:setHotSpot(201, 29)
	element:setParentElement(compositionbg)
	element:setXY(201, 29)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."blak_tochka_black.png")
	element:setName("Layer_5")
	compositionbg:addElement(element)
	element:setHotSpot(7, 6)
	element:setParentElement(compositionbg)
	element:setXY(128, 18)
 
	element:setScale(18.9285714285714,5.25)
	element:setOpacity(0.25)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Layer_6
	element = createCompositionPre_comp_1()
	element:setName("Layer_6")
	compositionbg:addElement(element)
	element:setHotSpot(320, 240)
	element:setParentElement(compositionbg)
	element:setXY(320, 240)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."fon.jpg")
	element:setName("Layer_7")
	compositionbg:addElement(element)
	element:setHotSpot(320, 240)
	element:setParentElement(compositionbg)
	element:setXY(320, 240)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
	compositionbg:play()
 
	return compositionbg
end
 
createCompositionbg_over = function()
	local compositionbg_over = CreateCompositionSequence()
	local compositionDuration = 8
	compositionbg_over:setDuration(compositionDuration)
	compositionbg_over:setName("compositionbg_over" )
	compositionbg_over:setBoundingBox( Rectanglef(0, 0, 640,480) )
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionPIL()
	element:setName("Layer_1")
	compositionbg_over:addElement(element)
	element:setHotSpot(512, 384)
	element:setParentElement(compositionbg_over)
	element:setXY(424, 356)
 
	element:setScale(2.15,2.15)
	element:setOpacity(0.31)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Layer_2
	element = createCompositionVOLUME_LIGHTS()
	element:setName("Layer_2")
	compositionbg_over:addElement(element)
	element:setHotSpot(512, 384)
	element:setParentElement(compositionbg_over)
	element:setXY(333, 340)
 
	element:setOpacity(0.58)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Layer_3
	element = createCompositionKust()
	element:setName("Layer_3")
	compositionbg_over:addElement(element)
	element:setHotSpot(683, 384)
	element:setParentElement(compositionbg_over)
	element:setXY(-74, 103)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Layer_4
	element = createCompositionlopuh()
	element:setName("Layer_4")
	compositionbg_over:addElement(element)
	element:setHotSpot(683, 384)
	element:setParentElement(compositionbg_over)
	element:setXY(156, 295)
 
	element:setScale(0.72,0.72)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."blak_tochka_black.png")
	element:setName("Layer_5")
	compositionbg_over:addElement(element)
	element:setHotSpot(7, 6)
	element:setParentElement(compositionbg_over)
	element:setXY(248, 380)
 
	element:setScale(8,6.66666666666667)
	element:setOpacity(0.29)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
	compositionbg_over:play()
 
	return compositionbg_over
end
 
createCompositionfon = function()
	local compositionfon = CreateCompositionSequence()
	local compositionDuration = 8
	compositionfon:setDuration(compositionDuration)
	compositionfon:setName("compositionfon" )
	compositionfon:setBoundingBox( Rectanglef(0, 0, 640,480) )
 
	local element
	local effector
	compositionfon:play()
 
	return compositionfon
end
 
createCompositionnebo_roz3 = function()
	local compositionnebo_roz3 = CreateCompositionSequence()
	local compositionDuration = 4
	compositionnebo_roz3:setDuration(compositionDuration)
	compositionnebo_roz3:setName("compositionnebo_roz3" )
	compositionnebo_roz3:setBoundingBox( Rectanglef(0, 0, 157,91) )
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."nebo_roz3.jpg")
	element:setName("Layer_1")
	compositionnebo_roz3:addElement(element)
	element:setHotSpot(0.5, 90)
	element:setParentElement(compositionnebo_roz3)
	element:setScale(1.31629392971246,1.37222222222222)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4)
	effector:setKey(_TRACK_X, -4, -47.5)
	effector:setKey(_TRACK_Y, -4, 90)
	effector:setKey(_TRACK_X, 3.95833333333333, 0)
	effector:setKey(_TRACK_Y, 3.95833333333333, 90)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 3.95833333333333, 0)
	effector:play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."nebo_roz3.jpg")
	element:setName("Layer_2")
	compositionnebo_roz3:addElement(element)
	element:setHotSpot(0.5, 90)
	element:setParentElement(compositionnebo_roz3)
	element:setScale(1.31629392971246,1.37222222222222)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4)
	effector:setKey(_TRACK_X, 0, -47.5)
	effector:setKey(_TRACK_Y, 0, 90)
	effector:setKey(_TRACK_X, 7.95833333333333, 0)
	effector:setKey(_TRACK_Y, 7.95833333333333, 90)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 3.95833333333333, 1)
	effector:play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."nebo_roz3.jpg")
	element:setName("Layer_3")
	compositionnebo_roz3:addElement(element)
	element:setHotSpot(0.5, 90)
	element:setParentElement(compositionnebo_roz3)
	element:setScale(1.31629392971246,1.37222222222222)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4)
	effector:setKey(_TRACK_X, 0, -47.5)
	effector:setKey(_TRACK_Y, 0, 90)
	effector:setKey(_TRACK_X, 7.95833333333333, 0)
	effector:setKey(_TRACK_Y, 7.95833333333333, 90)
	effector:play()
 
	compositionnebo_roz3:play()
 
	return compositionnebo_roz3
end
 
createCompositionPre_comp_1 = function()
	local compositionPre_comp_1 = CreateCompositionSequence()
	local compositionDuration = 8
	compositionPre_comp_1:setDuration(compositionDuration)
	compositionPre_comp_1:setName("compositionPre_comp_1" )
	compositionPre_comp_1:setBoundingBox( Rectanglef(0, 0, 640,480) )
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionnebo_roz3()
	element:setName("Layer_1")
	compositionPre_comp_1:addElement(element)
	element:setHotSpot(78.5, 45.5)
	element:setParentElement(compositionPre_comp_1)
	element:setXY(239.5, 5)
 
	element:setScale(-2.02547770700637,1)
 
	effector = element:getEffector()
	effector:setLifeTime(4, 8)
	effector:play()
 
 
	-- Layer Layer_2
	element = createCompositionnebo_roz3()
	element:setName("Layer_2")
	compositionPre_comp_1:addElement(element)
	element:setHotSpot(78.5, 45.5)
	element:setParentElement(compositionPre_comp_1)
	element:setXY(239.5, 5)
 
	element:setScale(-2.02547770700637,1)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4)
	effector:play()
 
	compositionPre_comp_1:play()
 
	return compositionPre_comp_1
end
 
createCompositionlopuh = function()
	local compositionlopuh = CreateCompositionSequence()
	local compositionDuration = 8
	compositionlopuh:setDuration(compositionDuration)
	compositionlopuh:setName("compositionlopuh" )
	compositionlopuh:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."lh3.png")
	element:setName("Layer_1")
	compositionlopuh:addElement(element)
	element:setHotSpot(18.5, 15.75)
	element:setParentElement(compositionlopuh)
	element:setXY(812, 497.75)
 
	element:setScale(1.09,1.09)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, 0.13194698081109)
	effector:setKey(_TRACK_A, 0.23270670572917, 0.1136304029573)
	effector:setKey(_TRACK_A, 1.16349283854167, -0.06953537558062)
	effector:setKey(_TRACK_A, 1.34965006510417, -0.08785195343442)
	effector:setKey(_TRACK_A, 1.53580729166667, -0.06953537558062)
	effector:setKey(_TRACK_A, 2.46663411458333, 0.1136304029573)
	effector:setKey(_TRACK_A, 2.65279134114583, 0.13194698081109)
	effector:setKey(_TRACK_A, 2.88545735677083, 0.1136304029573)
	effector:setKey(_TRACK_A, 3.8162841796875, -0.06953537558062)
	effector:setKey(_TRACK_A, 4.00244140625, -0.08785195343442)
	effector:setKey(_TRACK_A, 4.1885986328125, -0.06953537558062)
	effector:setKey(_TRACK_A, 5.119384765625, 0.1136304029573)
	effector:setKey(_TRACK_A, 5.3055419921875, 0.13194698081109)
	effector:setKey(_TRACK_A, 5.53824869791667, 0.1136304029573)
	effector:setKey(_TRACK_A, 6.46903483072917, -0.06953537558062)
	effector:setKey(_TRACK_A, 6.65523274739583, -0.08785195343442)
	effector:setKey(_TRACK_A, 6.84138997395833, -0.06953537558062)
	effector:setKey(_TRACK_A, 7.77217610677083, 0.1136304029573)
	effector:setKey(_TRACK_A, 7.95833333333333, 0.13194698081109)
	effector:play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."lh2.png")
	element:setName("Layer_2")
	compositionlopuh:addElement(element)
	element:setHotSpot(25.5, 14.5)
	element:setParentElement(compositionlopuh)
	element:setXY(861.5, 454.75)
 
	element:setScale(1.07,1.07)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, -0.10154563957569)
	effector:setKey(_TRACK_A, 0.23270670572917, -0.07591925557805)
	effector:setKey(_TRACK_A, 1.116943359375, 0.08638117640703)
	effector:setKey(_TRACK_A, 1.3031005859375, 0.10346543240546)
	effector:setKey(_TRACK_A, 1.48929850260417, 0.08638117640703)
	effector:setKey(_TRACK_A, 2.42008463541667, -0.08446138357726)
	effector:setKey(_TRACK_A, 2.65279134114583, -0.10154563957569)
	effector:setKey(_TRACK_A, 2.88545735677083, -0.07591925557805)
	effector:setKey(_TRACK_A, 3.76973470052083, 0.08638117640703)
	effector:setKey(_TRACK_A, 3.95589192708333, 0.10346543240546)
	effector:setKey(_TRACK_A, 4.14204915364583, 0.08638117640703)
	effector:setKey(_TRACK_A, 5.0728759765625, -0.08446138357726)
	effector:setKey(_TRACK_A, 5.3055419921875, -0.10154563957569)
	effector:setKey(_TRACK_A, 5.53824869791667, -0.07591925557805)
	effector:setKey(_TRACK_A, 6.42252604166667, 0.08638117640703)
	effector:setKey(_TRACK_A, 6.60868326822917, 0.10346543240546)
	effector:setKey(_TRACK_A, 6.79484049479167, 0.08638117640703)
	effector:setKey(_TRACK_A, 7.72562662760417, -0.08446138357726)
	effector:setKey(_TRACK_A, 7.95833333333333, -0.10154563957569)
	effector:play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."lh1.png")
	element:setName("Layer_3")
	compositionlopuh:addElement(element)
	element:setHotSpot(18.25, 18)
	element:setParentElement(compositionlopuh)
	element:setXY(785.5, 465.5)
 
	element:setScale(1.09,1.09)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, 0.0018321098734)
	effector:setKey(_TRACK_A, 0.16666666666667, -0.00845976736783)
	effector:setKey(_TRACK_A, 0.625, -0.0650650921946)
	effector:setKey(_TRACK_A, 0.79166666666667, -0.07535696943583)
	effector:setKey(_TRACK_A, 0.95833333333333, -0.0662759012818)
	effector:setKey(_TRACK_A, 1.5, -0.00724895828062)
	effector:setKey(_TRACK_A, 1.66666666666667, 0.0018321098734)
	effector:setKey(_TRACK_A, 1.83333333333333, -0.00845976736783)
	effector:setKey(_TRACK_A, 2.29166666666667, -0.0650650921946)
	effector:setKey(_TRACK_A, 2.45833333333333, -0.07535696943583)
	effector:setKey(_TRACK_A, 2.625, -0.0662759012818)
	effector:setKey(_TRACK_A, 3.16666666666667, -0.00724895828062)
	effector:setKey(_TRACK_A, 3.33333333333333, 0.0018321098734)
	effector:setKey(_TRACK_A, 3.5, -0.00845976736783)
	effector:setKey(_TRACK_A, 3.95833333333333, -0.0650650921946)
	effector:setKey(_TRACK_A, 4.125, -0.07535696943583)
	effector:setKey(_TRACK_A, 4.29166666666667, -0.0662759012818)
	effector:setKey(_TRACK_A, 4.83333333333333, -0.00724895828062)
	effector:setKey(_TRACK_A, 5, 0.0018321098734)
	effector:setKey(_TRACK_A, 5.13334147135417, -0.00845976736783)
	effector:setKey(_TRACK_A, 5.5, -0.0650650921946)
	effector:setKey(_TRACK_A, 5.63334147135417, -0.07535696943583)
	effector:setKey(_TRACK_A, 5.76668294270833, -0.0662759012818)
	effector:setKey(_TRACK_A, 6.19999186197917, -0.00724895828062)
	effector:setKey(_TRACK_A, 6.33333333333333, 0.0018321098734)
	effector:setKey(_TRACK_A, 6.495849609375, -0.00845976736783)
	effector:setKey(_TRACK_A, 6.94270833333333, -0.0650650921946)
	effector:setKey(_TRACK_A, 7.105224609375, -0.07535696943583)
	effector:setKey(_TRACK_A, 7.26774088541667, -0.0662759012818)
	effector:setKey(_TRACK_A, 7.79581705729167, -0.00724895828062)
	effector:setKey(_TRACK_A, 7.95833333333333, 0.0018321098734)
	effector:play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."lh3.png")
	element:setName("Layer_4")
	compositionlopuh:addElement(element)
	element:setHotSpot(20, 0.25)
	element:setParentElement(compositionlopuh)
	element:setXY(860.5, 464.5)
 
	element:setRotationRad(-0.28863040677116)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_SX, 0, -1.0125)
	effector:setKey(_TRACK_SY, 0, 1)
	effector:setKey(_TRACK_SX, 0.3084716796875, -1.0125)
	effector:setKey(_TRACK_SY, 0.3084716796875, 0.98232963293823)
	effector:setKey(_TRACK_SX, 1.1104736328125, -1.0125)
	effector:setKey(_TRACK_SY, 1.1104736328125, 0.86747224703674)
	effector:setKey(_TRACK_SX, 1.35721842447917, -1.0125)
	effector:setKey(_TRACK_SY, 1.35721842447917, 0.84980187997497)
	effector:setKey(_TRACK_SX, 1.60400390625, -1.0125)
	effector:setKey(_TRACK_SY, 1.60400390625, 0.86747224703674)
	effector:setKey(_TRACK_SX, 2.406005859375, -1.0125)
	effector:setKey(_TRACK_SY, 2.406005859375, 0.98232963293823)
	effector:setKey(_TRACK_SX, 2.65279134114583, -1.0125)
	effector:setKey(_TRACK_SY, 2.65279134114583, 1)
	effector:setKey(_TRACK_SX, 2.96122233072917, -1.0125)
	effector:setKey(_TRACK_SY, 2.96122233072917, 0.98232963293823)
	effector:setKey(_TRACK_SX, 3.76322428385417, -1.0125)
	effector:setKey(_TRACK_SY, 3.76322428385417, 0.86747224703674)
	effector:setKey(_TRACK_SX, 4.010009765625, -1.0125)
	effector:setKey(_TRACK_SY, 4.010009765625, 0.84980187997497)
	effector:setKey(_TRACK_SX, 4.25679524739583, -1.0125)
	effector:setKey(_TRACK_SY, 4.25679524739583, 0.86747224703674)
	effector:setKey(_TRACK_SX, 5.05879720052083, -1.0125)
	effector:setKey(_TRACK_SY, 5.05879720052083, 0.98232963293823)
	effector:setKey(_TRACK_SX, 5.3055419921875, -1.0125)
	effector:setKey(_TRACK_SY, 5.3055419921875, 1)
	effector:setKey(_TRACK_SX, 5.614013671875, -1.0125)
	effector:setKey(_TRACK_SY, 5.614013671875, 0.98232963293823)
	effector:setKey(_TRACK_SX, 6.416015625, -1.0125)
	effector:setKey(_TRACK_SY, 6.416015625, 0.86747224703674)
	effector:setKey(_TRACK_SX, 6.66280110677083, -1.0125)
	effector:setKey(_TRACK_SY, 6.66280110677083, 0.84980187997497)
	effector:setKey(_TRACK_SX, 6.9095458984375, -1.0125)
	effector:setKey(_TRACK_SY, 6.9095458984375, 0.86747224703674)
	effector:setKey(_TRACK_SX, 7.7115478515625, -1.0125)
	effector:setKey(_TRACK_SY, 7.7115478515625, 0.98232963293823)
	effector:setKey(_TRACK_SX, 7.95833333333333, -1.0125)
	effector:setKey(_TRACK_SY, 7.95833333333333, 1)
	effector:play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."lh2.png")
	element:setName("Layer_5")
	compositionlopuh:addElement(element)
	element:setHotSpot(28.2260645822428, 10.425360880443)
	element:setParentElement(compositionlopuh)
	element:setXY(786.500000000001, 430.250000000002)
 
	element:setRotationRad(-0.79002097292431)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_SX, 0, 1.20157561128002)
	effector:setKey(_TRACK_SY, 0, 1.0961401035188)
	effector:setKey(_TRACK_SX, 0.26094563802083, 1.20157561128002)
	effector:setKey(_TRACK_SY, 0.26094563802083, 1.11766161363595)
	effector:setKey(_TRACK_SX, 1.043701171875, 1.20157561128002)
	effector:setKey(_TRACK_SY, 1.043701171875, 1.24679067433887)
	effector:setKey(_TRACK_SX, 1.30464680989583, 1.20157561128002)
	effector:setKey(_TRACK_SY, 1.30464680989583, 1.26831218445602)
	effector:setKey(_TRACK_SX, 1.56559244791667, 1.20157561128002)
	effector:setKey(_TRACK_SY, 1.56559244791667, 1.24765153474356)
	effector:setKey(_TRACK_SX, 2.391845703125, 1.20157561128002)
	effector:setKey(_TRACK_SY, 2.391845703125, 1.11680075323127)
	effector:setKey(_TRACK_SX, 2.65279134114583, 1.20157561128002)
	effector:setKey(_TRACK_SY, 2.65279134114583, 1.0961401035188)
	effector:setKey(_TRACK_SX, 2.9136962890625, 1.20157561128002)
	effector:setKey(_TRACK_SY, 2.9136962890625, 1.11766161363595)
	effector:setKey(_TRACK_SX, 3.69649251302083, 1.20157561128002)
	effector:setKey(_TRACK_SY, 3.69649251302083, 1.24679067433887)
	effector:setKey(_TRACK_SX, 3.95743815104167, 1.20157561128002)
	effector:setKey(_TRACK_SY, 3.95743815104167, 1.26831218445602)
	effector:setKey(_TRACK_SX, 4.21834309895833, 1.20157561128002)
	effector:setKey(_TRACK_SY, 4.21834309895833, 1.24765153474356)
	effector:setKey(_TRACK_SX, 5.04463704427083, 1.20157561128002)
	effector:setKey(_TRACK_SY, 5.04463704427083, 1.11680075323127)
	effector:setKey(_TRACK_SX, 5.3055419921875, 1.20157561128002)
	effector:setKey(_TRACK_SY, 5.3055419921875, 1.0961401035188)
	effector:setKey(_TRACK_SX, 5.56648763020833, 1.20157561128002)
	effector:setKey(_TRACK_SY, 5.56648763020833, 1.11766161363595)
	effector:setKey(_TRACK_SX, 6.34928385416667, 1.20157561128002)
	effector:setKey(_TRACK_SY, 6.34928385416667, 1.24679067433887)
	effector:setKey(_TRACK_SX, 6.61018880208333, 1.20157561128002)
	effector:setKey(_TRACK_SY, 6.61018880208333, 1.26831218445602)
	effector:setKey(_TRACK_SX, 6.87113444010417, 1.20157561128002)
	effector:setKey(_TRACK_SY, 6.87113444010417, 1.24765153474356)
	effector:setKey(_TRACK_SX, 7.6973876953125, 1.20157561128002)
	effector:setKey(_TRACK_SY, 7.6973876953125, 1.11680075323127)
	effector:setKey(_TRACK_SX, 7.95833333333333, 1.20157561128002)
	effector:setKey(_TRACK_SY, 7.95833333333333, 1.0961401035188)
	effector:play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."lh3.png")
	element:setName("Layer_6")
	compositionlopuh:addElement(element)
	element:setHotSpot(17.0629361543071, 17.4604913605691)
	element:setParentElement(compositionlopuh)
	element:setXY(797.499999999999, 478.75)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, -1.16310929838261)
	effector:setKey(_TRACK_A, 0.23270670572917, -1.13213489788659)
	effector:setKey(_TRACK_A, 1.116943359375, -0.8378780931744)
	effector:setKey(_TRACK_A, 1.34965006510417, -0.80690369267838)
	effector:setKey(_TRACK_A, 1.53580729166667, -0.8378780931744)
	effector:setKey(_TRACK_A, 2.42008463541667, -1.13213489788659)
	effector:setKey(_TRACK_A, 2.65279134114583, -1.16310929838261)
	effector:setKey(_TRACK_A, 2.88545735677083, -1.13213489788659)
	effector:setKey(_TRACK_A, 3.76973470052083, -0.8378780931744)
	effector:setKey(_TRACK_A, 4.00244140625, -0.80690369267838)
	effector:setKey(_TRACK_A, 4.1885986328125, -0.8378780931744)
	effector:setKey(_TRACK_A, 5.0728759765625, -1.13213489788659)
	effector:setKey(_TRACK_A, 5.3055419921875, -1.16310929838261)
	effector:setKey(_TRACK_A, 5.53824869791667, -1.13213489788659)
	effector:setKey(_TRACK_A, 6.42252604166667, -0.8378780931744)
	effector:setKey(_TRACK_A, 6.65523274739583, -0.80690369267838)
	effector:setKey(_TRACK_A, 6.84138997395833, -0.8378780931744)
	effector:setKey(_TRACK_A, 7.72562662760417, -1.13213489788659)
	effector:setKey(_TRACK_A, 7.95833333333333, -1.16310929838261)
	effector:play()
 
	compositionlopuh:play()
 
	return compositionlopuh
end
 
createCompositionclouds = function()
	local compositionclouds = CreateCompositionSequence()
	local compositionDuration = 8
	compositionclouds:setDuration(compositionDuration)
	compositionclouds:setName("compositionclouds" )
	compositionclouds:setBoundingBox( Rectanglef(0, 0, 1024,768) )
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."cloud3.png")
	element:setName("Layer_1")
	compositionclouds:addElement(element)
	element:setHotSpot(200, 89)
	element:setParentElement(compositionclouds)
	element:setScale(1.22,1.22)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 4)
	effector:setKey(_TRACK_X, 0, 223.29768183594)
	effector:setKey(_TRACK_Y, 0, 180)
	effector:setKey(_TRACK_X, 4, 258.647936942134)
	effector:setKey(_TRACK_Y, 4, 180)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 4, 0)
	effector:play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."cloud3.png")
	element:setName("Layer_2")
	compositionclouds:addElement(element)
	element:setHotSpot(200, 89)
	element:setParentElement(compositionclouds)
	element:setScale(1.22,1.22)
 
	effector = element:getEffector()
	effector:setLifeTime(4, 8)
	effector:setKey(_TRACK_X, 4, 187.649750631808)
	effector:setKey(_TRACK_Y, 4, 180)
	effector:setKey(_TRACK_X, 8, 223.29768183594)
	effector:setKey(_TRACK_Y, 8, 180)
	effector:setKey(_TRACK_O, 4, 0)
	effector:setKey(_TRACK_O, 8, 1)
	effector:play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."cloud3.png")
	element:setName("Layer_3")
	compositionclouds:addElement(element)
	element:setHotSpot(200, 89)
	element:setParentElement(compositionclouds)
	element:setScale(1.22,1.22)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 0, 152)
	effector:setKey(_TRACK_Y, 0, 180)
	effector:setKey(_TRACK_X, 8, 223.29768183594)
	effector:setKey(_TRACK_Y, 8, 180)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 4.0167236328125, 1)
	effector:setKey(_TRACK_O, 8, 0)
	effector:play()
 
	compositionclouds:play()
 
	return compositionclouds
end
 
createCompositionKust = function()
	local compositionKust = CreateCompositionSequence()
	local compositionDuration = 8
	compositionKust:setDuration(compositionDuration)
	compositionKust:setName("compositionKust" )
	compositionKust:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."Kust1.png")
	element:setName("Layer_1")
	compositionKust:addElement(element)
	element:setHotSpot(44, 34)
	element:setParentElement(compositionKust)
	element:setXY(1262, 757)
 
	element:setScale(1.03,1.03)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, -0.01640704553407)
	effector:setKey(_TRACK_A, 0.90250651041667, 0.03710176043213)
	effector:setKey(_TRACK_A, 1.14864095052083, 0.09066918830045)
	effector:setKey(_TRACK_A, 1.80497233072917, 0.05118747238112)
	effector:setKey(_TRACK_A, 2.54337565104167, -0.03791360086176)
	effector:setKey(_TRACK_A, 3.375, 0.05468829322682)
	effector:setKey(_TRACK_A, 4.67655436197917, -0.03578651272011)
	effector:setKey(_TRACK_A, 5.9892578125, -0.04850782185149)
	effector:setKey(_TRACK_A, 7.95833333333333, -0.01640704553407)
	effector:play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."Kust2.png")
	element:setName("Layer_2")
	compositionKust:addElement(element)
	element:setHotSpot(54, 49.5)
	element:setParentElement(compositionKust)
	element:setXY(1276, 734.5)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, 0.08936275610634)
	effector:setKey(_TRACK_A, 0.761962890625, -0.09235956146803)
	effector:setKey(_TRACK_A, 1.69327799479167, -0.01281483957743)
	effector:setKey(_TRACK_A, 2.285888671875, 0.09450506960921)
	effector:setKey(_TRACK_A, 3.21720377604167, 0.06788489283947)
	effector:setKey(_TRACK_A, 3.6405029296875, -0.01640704553407)
	effector:setKey(_TRACK_A, 3.80985514322917, -0.06040477014989)
	effector:setKey(_TRACK_A, 4.57181803385417, 0.03710176043213)
	effector:setKey(_TRACK_A, 4.8258056640625, 0.09066918830045)
	effector:setKey(_TRACK_A, 5.50309244791667, 0.05118747238112)
	effector:setKey(_TRACK_A, 6.26505533854167, -0.03791360086176)
	effector:setKey(_TRACK_A, 7.1116943359375, 0.06784740814619)
	effector:setKey(_TRACK_A, 7.95833333333333, 0.08936275610634)
	effector:play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."Kust4.png")
	element:setName("Layer_3")
	compositionKust:addElement(element)
	element:setHotSpot(53.5, 30)
	element:setParentElement(compositionKust)
	element:setXY(1220.5, 710)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, -0.00326611118872)
	effector:setKey(_TRACK_A, 0.513427734375, -0.03437359157394)
	effector:setKey(_TRACK_A, 0.94132486979167, -0.05200258482914)
	effector:setKey(_TRACK_A, 1.36918131510417, -0.09750254329809)
	effector:setKey(_TRACK_A, 2.22489420572917, -0.11826585379535)
	effector:setKey(_TRACK_A, 2.56722005208333, -0.12359073428989)
	effector:setKey(_TRACK_A, 2.82393391927083, -0.03043560624593)
	effector:setKey(_TRACK_A, 3.16621907552083, -0.13892766038947)
	effector:setKey(_TRACK_A, 3.76521809895833, -0.01731890202624)
	effector:setKey(_TRACK_A, 4.2786865234375, -0.04884037812249)
	effector:setKey(_TRACK_A, 4.877685546875, -0.22432503663442)
	effector:setKey(_TRACK_A, 5.73343912760417, -0.15669234819337)
	effector:setKey(_TRACK_A, 5.99015299479167, -0.0943738541238)
	effector:setKey(_TRACK_A, 6.41800944010417, -0.05659021224957)
	effector:setKey(_TRACK_A, 7.95833333333333, -0.00326611118872)
	effector:play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."Kust3.png")
	element:setName("Layer_4")
	compositionKust:addElement(element)
	element:setHotSpot(34.5, 45)
	element:setParentElement(compositionKust)
	element:setXY(1242.5, 706)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, -0.00326611118872)
	effector:setKey(_TRACK_A, 0.3248291015625, -0.13668427810205)
	effector:setKey(_TRACK_A, 1.13692220052083, -0.07156033959993)
	effector:setKey(_TRACK_A, 1.46175130208333, -0.14680280463239)
	effector:setKey(_TRACK_A, 1.948974609375, -0.12408043580079)
	effector:setKey(_TRACK_A, 2.51741536458333, -0.18743345107255)
	effector:setKey(_TRACK_A, 3.248291015625, -0.09958422186908)
	effector:setKey(_TRACK_A, 3.5731201171875, -0.13814753648295)
	effector:setKey(_TRACK_A, 3.97916666666667, -0.00549727995683)
	effector:setKey(_TRACK_A, 4.95365397135417, -0.00869149573227)
	effector:setKey(_TRACK_A, 5.5220947265625, -0.16647563122499)
	effector:setKey(_TRACK_A, 5.92814127604167, 0.01125201765637)
	effector:setKey(_TRACK_A, 6.740234375, -0.10574433286978)
	effector:setKey(_TRACK_A, 7.63350423177083, -0.17439704882472)
	effector:setKey(_TRACK_A, 7.95833333333333, -0.00326611118872)
	effector:play()
 
	compositionKust:play()
 
	return compositionKust
end
 
createCompositionPIL = function()
	local compositionPIL = CreateCompositionSequence()
	local compositionDuration = 8
	compositionPIL:setDuration(compositionDuration)
	compositionPIL:setName("compositionPIL" )
	compositionPIL:setBoundingBox( Rectanglef(0, 0, 1024,768) )
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."Sneg2.png")
	element:setName("Layer_1")
	compositionPIL:addElement(element)
	element:setHotSpot(77, 57.5)
	element:setParentElement(compositionPIL)
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 0, 687.43147277832)
	effector:setKey(_TRACK_Y, 0, 203.370559692383)
	effector:setKey(_TRACK_X, 2.75, 537.989852905273)
	effector:setKey(_TRACK_Y, 2.75, 256.649749755859)
	effector:setKey(_TRACK_X, 4.41666666666667, 547.157657890843)
	effector:setKey(_TRACK_Y, 4.41666666666667, 280.218572131536)
	effector:setKey(_TRACK_X, 7.54166666666667, 584.837592342997)
	effector:setKey(_TRACK_Y, 7.54166666666667, 339.274022417342)
	effector:setKey(_TRACK_X, 7.95833333333333, 687.43147277832)
	effector:setKey(_TRACK_Y, 7.95833333333333, 203.370559692383)
	effector:setKey(_TRACK_SX, 0, 0.75)
	effector:setKey(_TRACK_SY, 0, 0.75)
	effector:setKey(_TRACK_SX, 7.95833333333333, 0.75)
	effector:setKey(_TRACK_SY, 7.95833333333333, 0.75)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 7.95833333333333, 0)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 4, 1)
	effector:setKey(_TRACK_O, 7.58333333333333, 0)
	effector:play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."Sneg2.png")
	element:setName("Layer_2")
	compositionPIL:addElement(element)
	element:setHotSpot(77, 57.5)
	element:setParentElement(compositionPIL)
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 0, 687.43147277832)
	effector:setKey(_TRACK_Y, 0, 478.862945556641)
	effector:setKey(_TRACK_X, 6.45833333333333, 494.43147277832)
	effector:setKey(_TRACK_Y, 6.45833333333333, 352.862945556641)
	effector:setKey(_TRACK_X, 7.95833333333333, 687.43147277832)
	effector:setKey(_TRACK_Y, 7.95833333333333, 478.862945556641)
	effector:setKey(_TRACK_SX, 0, 0.18)
	effector:setKey(_TRACK_SY, 0, 0.18)
	effector:setKey(_TRACK_SX, 7.95833333333333, 0.18)
	effector:setKey(_TRACK_SY, 7.95833333333333, 0.18)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 7.95833333333333, 0)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 4.04166666666667, 1)
	effector:setKey(_TRACK_O, 6.45833333333333, 0)
	effector:play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."Sneg2.png")
	element:setName("Layer_3")
	compositionPIL:addElement(element)
	element:setHotSpot(77, 57.5)
	element:setParentElement(compositionPIL)
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 0, 327.472076416016)
	effector:setKey(_TRACK_Y, 0, 220.263961791992)
	effector:setKey(_TRACK_X, 7.29166666666667, 424.934005737305)
	effector:setKey(_TRACK_Y, 7.29166666666667, 319.025390625)
	effector:setKey(_TRACK_X, 7.95833333333333, 327.472076416016)
	effector:setKey(_TRACK_Y, 7.95833333333333, 220.263961791992)
	effector:setKey(_TRACK_SX, 0, 0.58)
	effector:setKey(_TRACK_SY, 0, 0.58)
	effector:setKey(_TRACK_SX, 7.95833333333333, 0.58)
	effector:setKey(_TRACK_SY, 7.95833333333333, 0.58)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 7.95833333333333, 0)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 4.25, 1)
	effector:setKey(_TRACK_O, 7.33333333333333, 0)
	effector:play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."Sneg2.png")
	element:setName("Layer_4")
	compositionPIL:addElement(element)
	element:setHotSpot(77, 57.5)
	element:setParentElement(compositionPIL)
	element:setOpacity(0.74)
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 0, 626.355331420898)
	effector:setKey(_TRACK_Y, 0, 351.5126953125)
	effector:setKey(_TRACK_X, 1.20833333333333, 596.467010498047)
	effector:setKey(_TRACK_Y, 1.20833333333333, 335.918792724609)
	effector:setKey(_TRACK_X, 2.41666666666667, 565.431600728514)
	effector:setKey(_TRACK_Y, 2.41666666666667, 364.700146583924)
	effector:setKey(_TRACK_X, 3.70833333333333, 574.438329191502)
	effector:setKey(_TRACK_Y, 3.70833333333333, 405.808160540204)
	effector:setKey(_TRACK_X, 5.41666666666667, 610.901271150064)
	effector:setKey(_TRACK_Y, 5.41666666666667, 413.87137306255)
	effector:setKey(_TRACK_X, 6.45833333333333, 640.6258042686)
	effector:setKey(_TRACK_Y, 6.45833333333333, 388.31440589315)
	effector:setKey(_TRACK_X, 7.95833333333333, 626.355331420898)
	effector:setKey(_TRACK_Y, 7.95833333333333, 351.5126953125)
	effector:setKey(_TRACK_SX, 0, 0.58)
	effector:setKey(_TRACK_SY, 0, 0.58)
	effector:setKey(_TRACK_SX, 7.95833333333333, 0.58)
	effector:setKey(_TRACK_SY, 7.95833333333333, 0.58)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 7.95833333333333, 0)
	effector:play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."Sneg2.png")
	element:setName("Layer_5")
	compositionPIL:addElement(element)
	element:setHotSpot(77, 57.5)
	element:setParentElement(compositionPIL)
	element:setOpacity(0.74)
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 0, 495.106597900391)
	effector:setKey(_TRACK_Y, 0, 243.654830932617)
	effector:setKey(_TRACK_X, 0.83333333333333, 460.020309448242)
	effector:setKey(_TRACK_Y, 0.83333333333333, 254.050765991211)
	effector:setKey(_TRACK_X, 1.75, 464.534351877902)
	effector:setKey(_TRACK_Y, 1.75, 287.799560680961)
	effector:setKey(_TRACK_X, 2.91666666666667, 497.226845175212)
	effector:setKey(_TRACK_Y, 2.91666666666667, 306.564447798246)
	effector:setKey(_TRACK_X, 3.95833333333333, 529.368989847003)
	effector:setKey(_TRACK_Y, 3.95833333333333, 306.719179105075)
	effector:setKey(_TRACK_X, 4.91666666666667, 545.115430960404)
	effector:setKey(_TRACK_Y, 4.91666666666667, 276.847634074687)
	effector:setKey(_TRACK_X, 5.83333333333333, 536.754114661612)
	effector:setKey(_TRACK_Y, 5.83333333333333, 247.044506583517)
	effector:setKey(_TRACK_X, 7.25, 521.580740651409)
	effector:setKey(_TRACK_Y, 7.25, 228.039725667131)
	effector:setKey(_TRACK_X, 7.95833333333333, 495.106597900391)
	effector:setKey(_TRACK_Y, 7.95833333333333, 243.654830932617)
	effector:setKey(_TRACK_SX, 0, 0.4)
	effector:setKey(_TRACK_SY, 0, 0.4)
	effector:setKey(_TRACK_SX, 7.95833333333333, 0.4)
	effector:setKey(_TRACK_SY, 7.95833333333333, 0.4)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 7.95833333333333, 0)
	effector:play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."Sneg2.png")
	element:setName("Layer_6")
	compositionPIL:addElement(element)
	element:setHotSpot(77, 57.5)
	element:setParentElement(compositionPIL)
	element:setOpacity(0.74)
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 0, 439.228424072266)
	effector:setKey(_TRACK_Y, 0, 468.467010498047)
	effector:setKey(_TRACK_X, 1.54166666666667, 427.532989501953)
	effector:setKey(_TRACK_Y, 1.54166666666667, 490.558380126953)
	effector:setKey(_TRACK_X, 2.66666666666667, 438.679956958737)
	effector:setKey(_TRACK_Y, 2.66666666666667, 516.57350412003)
	effector:setKey(_TRACK_X, 3.75, 463.482594935107)
	effector:setKey(_TRACK_Y, 3.75, 523.618334748734)
	effector:setKey(_TRACK_X, 4.58333333333333, 478.172176028744)
	effector:setKey(_TRACK_Y, 4.58333333333333, 516.595766766942)
	effector:setKey(_TRACK_X, 5.41666666666667, 481.549274759467)
	effector:setKey(_TRACK_Y, 5.41666666666667, 500.811070791084)
	effector:setKey(_TRACK_X, 6.45833333333333, 474.60050927888)
	effector:setKey(_TRACK_Y, 6.45833333333333, 484.956256132337)
	effector:setKey(_TRACK_X, 7.95833333333333, 439.228424072266)
	effector:setKey(_TRACK_Y, 7.95833333333333, 468.467010498047)
	effector:setKey(_TRACK_SX, 0, 0.4)
	effector:setKey(_TRACK_SY, 0, 0.4)
	effector:setKey(_TRACK_SX, 7.95833333333333, 0.4)
	effector:setKey(_TRACK_SY, 7.95833333333333, 0.4)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 7.95833333333333, 0)
	effector:play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."Sneg2.png")
	element:setName("Layer_7")
	compositionPIL:addElement(element)
	element:setHotSpot(77, 57.5)
	element:setParentElement(compositionPIL)
	element:setOpacity(0.74)
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 0, 372.954315185547)
	effector:setKey(_TRACK_Y, 0, 325.522842407227)
	effector:setKey(_TRACK_X, 1.58333333333333, 358.659896850586)
	effector:setKey(_TRACK_Y, 1.58333333333333, 355.411163330078)
	effector:setKey(_TRACK_X, 2.83333333333333, 383.04448999664)
	effector:setKey(_TRACK_Y, 2.83333333333333, 386.012938600043)
	effector:setKey(_TRACK_X, 4.16666666666667, 407.708003965358)
	effector:setKey(_TRACK_Y, 4.16666666666667, 374.169742441612)
	effector:setKey(_TRACK_X, 5.5, 412.380094673341)
	effector:setKey(_TRACK_Y, 5.5, 354.46382889681)
	effector:setKey(_TRACK_X, 6.66666666666667, 400.166503018291)
	effector:setKey(_TRACK_Y, 6.66666666666667, 331.632291455858)
	effector:setKey(_TRACK_X, 7.95833333333333, 372.954315185547)
	effector:setKey(_TRACK_Y, 7.95833333333333, 325.522842407227)
	effector:setKey(_TRACK_SX, 0, 0.5)
	effector:setKey(_TRACK_SY, 0, 0.5)
	effector:setKey(_TRACK_SX, 7.95833333333333, 0.5)
	effector:setKey(_TRACK_SY, 7.95833333333333, 0.5)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 7.95833333333333, 0)
	effector:play()
 
 
	-- Layer Layer_8
	element = CreateCompositionElement(PREFIX_PATH.."Sneg2.png")
	element:setName("Layer_8")
	compositionPIL:addElement(element)
	element:setHotSpot(77, 57.5)
	element:setParentElement(compositionPIL)
	element:setOpacity(0.74)
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 0, 512)
	effector:setKey(_TRACK_Y, 0, 384)
	effector:setKey(_TRACK_X, 2.125, 454.822341918945)
	effector:setKey(_TRACK_Y, 2.125, 420.385787963867)
	effector:setKey(_TRACK_X, 3.91666666666667, 503.651483868985)
	effector:setKey(_TRACK_Y, 3.91666666666667, 459.367142179874)
	effector:setKey(_TRACK_X, 5.91666666666667, 548.658148776434)
	effector:setKey(_TRACK_Y, 5.91666666666667, 414.172034854585)
	effector:setKey(_TRACK_X, 7.95833333333333, 512)
	effector:setKey(_TRACK_Y, 7.95833333333333, 384)
	effector:setKey(_TRACK_SX, 0, 0.5)
	effector:setKey(_TRACK_SY, 0, 0.5)
	effector:setKey(_TRACK_SX, 3.91666666666667, 0.73)
	effector:setKey(_TRACK_SY, 3.91666666666667, 0.73)
	effector:setKey(_TRACK_SX, 7.95833333333333, 0.5)
	effector:setKey(_TRACK_SY, 7.95833333333333, 0.5)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 4.41666666666667, 2.6703537525)
	effector:setKey(_TRACK_A, 7.95833333333333, 0)
	effector:play()
 
	compositionPIL:play()
 
	return compositionPIL
end
 
createComposition21_ofis_manager = function()
	local composition21_ofis_manager = CreateCompositionSequence()
	local compositionDuration = 8
	composition21_ofis_manager:setDuration(compositionDuration)
	composition21_ofis_manager:setName("composition21_ofis_manager" )
	composition21_ofis_manager:setBoundingBox( Rectanglef(0, 0, 1024,768) )
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionPIL()
	element:setName("Layer_1")
	composition21_ofis_manager:addElement(element)
	element:setHotSpot(512, 384)
	element:setParentElement(composition21_ofis_manager)
	element:setXY(512, 384)
 
	element:setOpacity(0.48)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
	composition21_ofis_manager:play()
 
	return composition21_ofis_manager
end
 
createCompositionVOLUME_LIGHTS = function()
	local compositionVOLUME_LIGHTS = CreateCompositionSequence()
	local compositionDuration = 8
	compositionVOLUME_LIGHTS:setDuration(compositionDuration)
	compositionVOLUME_LIGHTS:setName("compositionVOLUME_LIGHTS" )
	compositionVOLUME_LIGHTS:setBoundingBox( Rectanglef(0, 0, 1024,768) )
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."ray_4_small.png")
	element:setName("Layer_1")
	compositionVOLUME_LIGHTS:addElement(element)
	element:setHotSpot(-98.3125, 55.6875)
	element:setParentElement(compositionVOLUME_LIGHTS)
	element:setXY(66, -228)
 
	element:setScale(2.4,-6.2065299475627)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, 1.0014251880305)
	effector:setKey(_TRACK_A, 7.95833333333333, 0.85725492271522)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 1, 0.32)
	effector:setKey(_TRACK_O, 5.29166666666667, 0.32)
	effector:setKey(_TRACK_O, 7.04166666666667, 0)
	effector:play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."ray_4_small.png")
	element:setName("Layer_2")
	compositionVOLUME_LIGHTS:addElement(element)
	element:setHotSpot(-98.3125, 55.6875)
	element:setParentElement(compositionVOLUME_LIGHTS)
	element:setXY(56, -206)
 
	element:setScale(2.4,2.78755555555556)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_A, 0, 1.082104135)
	effector:setKey(_TRACK_A, 1.70833333333333, 1.12111079591931)
	effector:setKey(_TRACK_A, 5.375, 1.04107163388154)
	effector:setKey(_TRACK_A, 7.95833333333333, 1.082104135)
	effector:setKey(_TRACK_O, 0, 0.5)
	effector:setKey(_TRACK_O, 0.79166666666667, 0.5)
	effector:setKey(_TRACK_O, 1.70833333333333, 0)
	effector:setKey(_TRACK_O, 5.375, 0)
	effector:setKey(_TRACK_O, 7.375, 0.5)
	effector:play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."ray_4_small.png")
	element:setName("Layer_3")
	compositionVOLUME_LIGHTS:addElement(element)
	element:setHotSpot(-98.3125, 55.6875)
	element:setParentElement(compositionVOLUME_LIGHTS)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 0, 128)
	effector:setKey(_TRACK_Y, 0, -108)
	effector:setKey(_TRACK_X, 5.375, 84)
	effector:setKey(_TRACK_Y, 5.375, -142)
	effector:setKey(_TRACK_SX, 0, 1.72)
	effector:setKey(_TRACK_SY, 0, 2.62859075050119)
	effector:setKey(_TRACK_SX, 5.45833333333333, 2.56)
	effector:setKey(_TRACK_SY, 5.45833333333333, 5.06406251266772)
	effector:setKey(_TRACK_A, 0, 0.83775804)
	effector:setKey(_TRACK_A, 7.95833333333333, 0.9599310875)
	effector:setKey(_TRACK_O, 0, 0)
	effector:setKey(_TRACK_O, 1, 0.32)
	effector:setKey(_TRACK_O, 5.29166666666667, 0.32)
	effector:setKey(_TRACK_O, 7.04166666666667, 0)
	effector:play()
 
	compositionVOLUME_LIGHTS:play()
 
	return compositionVOLUME_LIGHTS
end
 
